type: prog

niveau: intermédiaire

titre: Miroir ô Miroir!

objectif: Définir une fonction récursive pour déterminer la chaine miroir d'un texte


énoncé: |
  On souhaite déterminer la chaine **miroir** d'un `texte` reçu en entrée, à l'aide d'une fonction **récursive**.

  La chaine **miroir** du `texte` est obtenue en écrivant le `texte` à l'**envers**.


  ### Entrée

  `texte` (chaine de caractères)

  ### Sortie attendue

  miroir (chaine de caractères)

  ### À faire

  Compléter le code pour produire en sortie la chaine **miroir** du `texte` reçu en entrée

  ### Exemples

  1. Texte simple

   - Entrée :
  ```
      Mon pays

  ```

   - Sortie attendue :
  ```
      syap noM

  ```
  2. Texte court

   - Entrée :
  ```
      AB

  ```

   - Sortie attendue :
  ```
      BA

  ```
ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Pour utiliser la récursivité, il est important de déterminer d'abord les relations de récurrence appropriées…

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA
uuid: 1c000bc4-0b3c-41c7-98d1-76a9a0c7897c

